Setting model, improve tests, string parsing and change to create!
Status: Closed   
Assignee: Tomáš Strachota   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Refactor relating to #2343:

added string settings type

fixed tests previously commented out due to CI failures

more tests for core settings functionality

parsing of string values enhanced and extracted to a separate method

setting value to nil when it equals default is back

create! is now prefered method for creating settings as it raises exceptions on invalid states

https://github.com/theforeman/foreman/pull/637

Related issues:

Related to Foreman - Bug #2343: app/models/setting.rb#default chokes on nil a... Closed 03/20/2013

Associated revisions

Revision 8da68b88 - 06/12/2013 11:12 AM - Tomáš Strachota

fixes #2660 - settings, improve tests and fixes

- added string settings type

- fixed tests previously commented out due to CI failures

- more tests for core settings functionality

- parsing of string values enhanced and extracted to a separate method

- setting value to nil when it equals default is back

- create! is now prefered method for creating settings as it raises exceptions on invalid states

- setting takes string as default type when parsing values from user input

Revision 8c6eddcf - 06/12/2013 04:11 PM - Tomáš Strachota

fixes #2660 - settings, improve tests and fixes

- added string settings type

- fixed tests previously commented out due to CI failures

- more tests for core settings functionality

- parsing of string values enhanced and extracted to a separate method

- setting value to nil when it equals default is back

- create! is now prefered method for creating settings as it raises exceptions on invalid states

- setting takes string as default type when parsing values from user input

(cherry picked from commit 8da68b88093f497491a20f337d4e658addad7432)

History

#1 - 06/12/2013 11:17 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8da68b88093f497491a20f337d4e658addad7432.
